using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlatformsBehavior : MonoBehaviour
{
    public Material activeMaterial;
    private GameObject _modelGo;
    private GameObject _text;

    private void Start()
    {
        _modelGo = transform.Find("Model").gameObject;
        _text = transform.Find("ScoreText").gameObject;
        _text.SetActive(false);
    }

    private void OnTriggerEnter(Collider other)
    {
        _modelGo.GetComponent<Renderer>().material = activeMaterial;
        _text.SetActive(true);
        
        // We hide the text after 2 seconds
        StartCoroutine(WaitForText());
    }
    
    IEnumerator WaitForText()
    {
        yield return new WaitForSeconds(2);
        _text.SetActive(false);
    }
}
